curl --request POST \
--url https://data.us.algolia.com/1/destinations/search \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
--data '
{
"destinationIDs": [
"6c02aeb1-775e-418e-870b-1faccd4b2c0f"
]
}
'// Initialize the client
var client = new IngestionClient(
new IngestionConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
);
// Call the API
var response = await client.SearchDestinationsAsync(
new DestinationSearch
{
DestinationIDs = new List<string>
{
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"947ac9c4-7e58-4c87-b1e7-14a68e99699a",
},
}
);
// print the response
Console.WriteLine(response);// Initialize the client
final client = IngestionClient(
appId: 'ALGOLIA_APPLICATION_ID',
apiKey: 'ALGOLIA_API_KEY',
region: 'ALGOLIA_APPLICATION_REGION');
// Call the API
final response = await client.searchDestinations(
destinationSearch: DestinationSearch(
destinationIDs: [
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"947ac9c4-7e58-4c87-b1e7-14a68e99699a",
],
),
);
// print the response
print(response);// Initialize the client with your application region, eg. ingestion.ALGOLIA_APPLICATION_REGION
client, err := ingestion.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", ingestion.US)
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.SearchDestinations(client.NewApiSearchDestinationsRequest(
ingestion.NewEmptyDestinationSearch().SetDestinationIDs(
[]string{"6c02aeb1-775e-418e-870b-1faccd4b2c0f", "947ac9c4-7e58-4c87-b1e7-14a68e99699a"})))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
IngestionClient client = new IngestionClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION");
// Call the API
List response = client.searchDestinations(
new DestinationSearch().setDestinationIDs(
Arrays.asList("6c02aeb1-775e-418e-870b-1faccd4b2c0f", "947ac9c4-7e58-4c87-b1e7-14a68e99699a")
)
);
// print the response
System.out.println(response);// Initialize the client
// Replace 'us' with your Algolia Application Region
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initIngestion({ region: 'us' });
// Call the API
const response = await client.searchDestinations({
destinationIDs: ['6c02aeb1-775e-418e-870b-1faccd4b2c0f', '947ac9c4-7e58-4c87-b1e7-14a68e99699a'],
});
// print the response
console.log(response);// Initialize the client
val client =
IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION",
)
// Call the API
var response =
client.searchDestinations(
destinationSearch =
DestinationSearch(
destinationIDs =
listOf("6c02aeb1-775e-418e-870b-1faccd4b2c0f", "947ac9c4-7e58-4c87-b1e7-14a68e99699a")
)
)
// print the response
println(response)// Initialize the client
$client = IngestionClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY', 'ALGOLIA_APPLICATION_REGION');
// Call the API
$response = $client->searchDestinations(
['destinationIDs' => [
'6c02aeb1-775e-418e-870b-1faccd4b2c0f',
'947ac9c4-7e58-4c87-b1e7-14a68e99699a',
],
],
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use IngestionClient instead, which exposes the exact same methods.
client = IngestionClientSync(
"ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.search_destinations(
destination_search={
"destinationIDs": [
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"947ac9c4-7e58-4c87-b1e7-14a68e99699a",
],
},
)
# print the response
print(response)# Initialize the client
client = Algolia::IngestionClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
# Call the API
response = client.search_destinations(
Algolia::Ingestion::DestinationSearch.new(
destination_ids: ["6c02aeb1-775e-418e-870b-1faccd4b2c0f", "947ac9c4-7e58-4c87-b1e7-14a68e99699a"]
)
)
# print the response
puts(response)// Initialize the client
val client = IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION"
)
// Call the API
val response = Await.result(
client.searchDestinations(
destinationSearch = DestinationSearch(
destinationIDs = Seq("6c02aeb1-775e-418e-870b-1faccd4b2c0f", "947ac9c4-7e58-4c87-b1e7-14a68e99699a")
)
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try IngestionClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY", region: .us)
// Call the API
let response = try await client.searchDestinations(destinationSearch: DestinationSearch(destinationIDs: [
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"947ac9c4-7e58-4c87-b1e7-14a68e99699a",
]))
// print the response
print(response)[
{
"createdAt": "<string>",
"destinationID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"input": {
"indexName": "<string>",
"attributesToExclude": [
"<string>"
]
},
"name": "<string>",
"updatedAt": "<string>",
"authenticationID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"owner": "<string>",
"transformationIDs": [
"6c02aeb1-775e-418e-870b-1faccd4b2c0f"
]
}
]{
"message": "Invalid Application-Id or API-Key"
}Search for destinations
Searches for destinations.
curl --request POST \
--url https://data.us.algolia.com/1/destinations/search \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
--data '
{
"destinationIDs": [
"6c02aeb1-775e-418e-870b-1faccd4b2c0f"
]
}
'// Initialize the client
var client = new IngestionClient(
new IngestionConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
);
// Call the API
var response = await client.SearchDestinationsAsync(
new DestinationSearch
{
DestinationIDs = new List<string>
{
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"947ac9c4-7e58-4c87-b1e7-14a68e99699a",
},
}
);
// print the response
Console.WriteLine(response);// Initialize the client
final client = IngestionClient(
appId: 'ALGOLIA_APPLICATION_ID',
apiKey: 'ALGOLIA_API_KEY',
region: 'ALGOLIA_APPLICATION_REGION');
// Call the API
final response = await client.searchDestinations(
destinationSearch: DestinationSearch(
destinationIDs: [
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"947ac9c4-7e58-4c87-b1e7-14a68e99699a",
],
),
);
// print the response
print(response);// Initialize the client with your application region, eg. ingestion.ALGOLIA_APPLICATION_REGION
client, err := ingestion.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", ingestion.US)
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.SearchDestinations(client.NewApiSearchDestinationsRequest(
ingestion.NewEmptyDestinationSearch().SetDestinationIDs(
[]string{"6c02aeb1-775e-418e-870b-1faccd4b2c0f", "947ac9c4-7e58-4c87-b1e7-14a68e99699a"})))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
IngestionClient client = new IngestionClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION");
// Call the API
List response = client.searchDestinations(
new DestinationSearch().setDestinationIDs(
Arrays.asList("6c02aeb1-775e-418e-870b-1faccd4b2c0f", "947ac9c4-7e58-4c87-b1e7-14a68e99699a")
)
);
// print the response
System.out.println(response);// Initialize the client
// Replace 'us' with your Algolia Application Region
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initIngestion({ region: 'us' });
// Call the API
const response = await client.searchDestinations({
destinationIDs: ['6c02aeb1-775e-418e-870b-1faccd4b2c0f', '947ac9c4-7e58-4c87-b1e7-14a68e99699a'],
});
// print the response
console.log(response);// Initialize the client
val client =
IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION",
)
// Call the API
var response =
client.searchDestinations(
destinationSearch =
DestinationSearch(
destinationIDs =
listOf("6c02aeb1-775e-418e-870b-1faccd4b2c0f", "947ac9c4-7e58-4c87-b1e7-14a68e99699a")
)
)
// print the response
println(response)// Initialize the client
$client = IngestionClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY', 'ALGOLIA_APPLICATION_REGION');
// Call the API
$response = $client->searchDestinations(
['destinationIDs' => [
'6c02aeb1-775e-418e-870b-1faccd4b2c0f',
'947ac9c4-7e58-4c87-b1e7-14a68e99699a',
],
],
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use IngestionClient instead, which exposes the exact same methods.
client = IngestionClientSync(
"ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.search_destinations(
destination_search={
"destinationIDs": [
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"947ac9c4-7e58-4c87-b1e7-14a68e99699a",
],
},
)
# print the response
print(response)# Initialize the client
client = Algolia::IngestionClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
# Call the API
response = client.search_destinations(
Algolia::Ingestion::DestinationSearch.new(
destination_ids: ["6c02aeb1-775e-418e-870b-1faccd4b2c0f", "947ac9c4-7e58-4c87-b1e7-14a68e99699a"]
)
)
# print the response
puts(response)// Initialize the client
val client = IngestionClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION"
)
// Call the API
val response = Await.result(
client.searchDestinations(
destinationSearch = DestinationSearch(
destinationIDs = Seq("6c02aeb1-775e-418e-870b-1faccd4b2c0f", "947ac9c4-7e58-4c87-b1e7-14a68e99699a")
)
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try IngestionClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY", region: .us)
// Call the API
let response = try await client.searchDestinations(destinationSearch: DestinationSearch(destinationIDs: [
"6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"947ac9c4-7e58-4c87-b1e7-14a68e99699a",
]))
// print the response
print(response)[
{
"createdAt": "<string>",
"destinationID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"input": {
"indexName": "<string>",
"attributesToExclude": [
"<string>"
]
},
"name": "<string>",
"updatedAt": "<string>",
"authenticationID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
"owner": "<string>",
"transformationIDs": [
"6c02aeb1-775e-418e-870b-1faccd4b2c0f"
]
}
]{
"message": "Invalid Application-Id or API-Key"
}addObject, deleteIndex, editSettingsAuthorizations
Your Algolia application ID.
Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.
Body
API request body for searching destinations.
Universally unique identifier (UUID) of a destination resource.
Response
OK
Date and time when the resource was created, in RFC 3339 format.
Universally unique identifier (UUID) of a destination resource.
"6c02aeb1-775e-418e-870b-1faccd4b2c0f"
Show child attributes
Show child attributes
Descriptive name for the resource.
Destination type.
-
search. Data is stored in an Algolia index. -
insights. Data is recorded as user events in the Insights API.
search, insights Date and time when the resource was last updated, in RFC 3339 format.
Universally unique identifier (UUID) of an authentication resource.
"6c02aeb1-775e-418e-870b-1faccd4b2c0f"
Owner of the resource.
Universally unique identifier (UUID) of a transformation.
Was this page helpful?